commit: 0e2f2fef867a6772f8004bf8db11ff24c8045ebe
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 24 01:35:18 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue Oct 24 01:48:45 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e2f2fef
dev-perl/Gtk2-Ex-PodViewer: Add tests
- EAPI6
- Add basic compile tests
Package-Manager: Portage-2.3.8, Repoman-2.3.3
.../Gtk2-Ex-PodViewer-0.180.0-r2.ebuild | 44 ++++++++++++++++++++++
1 file changed, 44 insertions(+)
diff --git a/dev-perl/Gtk2-Ex-PodViewer/Gtk2-Ex-PodViewer-0.180.0-r2.ebuild
b/dev-perl/Gtk2-Ex-PodViewer/Gtk2-Ex-PodViewer-0.180.0-r2.ebuild
new file mode 100644
index 00000000000..7bc16b5c07e
--- /dev/null
+++ b/dev-perl/Gtk2-Ex-PodViewer/Gtk2-Ex-PodViewer-0.180.0-r2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+DIST_AUTHOR=GBROWN
+DIST_VERSION=0.18
+inherit perl-module
+
+DESCRIPTION="a Gtk2 widget for displaying Plain old Documentation (POD)"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/gtk+:2
+ dev-perl/Gtk2
+ dev-perl/IO-stringy
+ virtual/perl-Pod-Parser
+ virtual/perl-Pod-Simple
+ dev-perl/Gtk2-Ex-Simple-List
+ dev-perl/Locale-gettext"
+DEPEND="${RDEPEND}"
+
+src_test() {
+ local MODULES=(
+ "Gtk2::Ex::PodViewer ${DIST_VERSION}"
+ "Gtk2::Ex::PodViewer::Parser"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ perl-module_src_test
+}